1. 25 Nov, 2021 4 commits
  2. 08 Nov, 2021 3 commits
  3. 29 Oct, 2021 3 commits
  4. 30 Jul, 2021 2 commits
  5. 25 Feb, 2021 2 commits
  6. 11 Feb, 2021 3 commits
  7. 09 Jan, 2021 1 commit
    • Ritesh Raj Sarraf's avatar
      Import Debian version 5.10um1 · 61d719ff
      Ritesh Raj Sarraf authored
      user-mode-linux (5.10um1) unstable; urgency=medium
      
        [ Debian Janitor ]
        * [4b95d20] Trim trailing whitespace.
      
        [ Ritesh Raj Sarraf ]
        * [96b5aeb] Prepare for Linux 5.10
        * [1f00328] Update UML configs for Linux 5.10
        * [7177cae] Set priority to optional
        * [235490c] Rename d/NEWS.Debian to d/NEWS
      
      user-mode-linux (5.9um1) unstable; urgency=medium
      
        * [016b157] Prepare for Linux 5.9
        * [ecd8715] Enable VirtIO UML and update config for Linux 5.9
        * [533ed9e] Update build dependency on vde to reflect name change
      
      user-mode-linux (5.8um1) unstable; urgency=medium
      
        * [b7db191] Prepare for Linux 5.8 (Closes: #971135)
        * [9ca8d98] Update kernel configs for Linux 5.8
        * [3d34593] Disable BPFILTER for architecture i386
          - For reasons unclear, having BPFILTER enabled in the config makes kbuild
            think the config is incomplete. So lets not block because of it
      61d719ff
  8. 30 Oct, 2020 2 commits
  9. 23 Oct, 2020 1 commit
    • Ritesh Raj Sarraf's avatar
      Import Debian version 5.9um1 · ebe7a7ff
      Ritesh Raj Sarraf authored
      user-mode-linux (5.9um1) unstable; urgency=medium
      
        * [016b157] Prepare for Linux 5.9
        * [ecd8715] Enable VirtIO UML and update config for Linux 5.9
        * [533ed9e] Update build dependency on vde to reflect name change
      
      user-mode-linux (5.8um1) unstable; urgency=medium
      
        * [b7db191] Prepare for Linux 5.8 (Closes: #971135)
        * [9ca8d98] Update kernel configs for Linux 5.8
        * [3d34593] Disable BPFILTER for architecture i386
          - For reasons unclear, having BPFILTER enabled in the config makes kbuild
            think the config is incomplete. So lets not block because of it
      ebe7a7ff
  10. 24 Jul, 2020 2 commits
  11. 26 Jun, 2020 1 commit
    • Ritesh Raj Sarraf's avatar
      Import Debian version 5.7um1 · 7ae5b42c
      Ritesh Raj Sarraf authored
      user-mode-linux (5.7um1) unstable; urgency=medium
      
        * [3b1a66e] Bump for Linux 5.7
        * [3b60493] Update Linux UML configs to 5.7
        * [42d5482] Update patches for Linux 5.7
      
      user-mode-linux (5.6um2) unstable; urgency=medium
      
        * [db8c0df] Document the extra care needed for x32
        * [5df39ac] Fix i386 build config
      
      user-mode-linux (5.6um1) unstable; urgency=medium
      
        * [3571560] Bump to include support for Linux 5.6
        * [a731b9c] Update Linux UML configs to 5.6
      
      user-mode-linux (5.5um1) unstable; urgency=medium
      
        [ Santiago Ruano Rincón ]
        * [906e41a] README.Debian: update linux directory path
      
        [ Ritesh Raj Sarraf ]
        * [0cbab46] Document CAP_NET_ADMIN usability
        * [674be91] Add packaging format, 3.0 native
        * [2e09ba1] Bump to Linux version 5.5
        * [cee84f0] Use parallel build options.
          Thanks to Sjoerd Simons
        * [0610187] config.amd64: Set CONFIG_HW_RANDOM=y.
          Thanks to Sjoerd Simons
      7ae5b42c
  12. 01 Apr, 2020 3 commits
  13. 25 Mar, 2020 1 commit
  14. 20 Mar, 2020 2 commits
  15. 01 Jan, 2020 1 commit
    • Ritesh Raj Sarraf's avatar
      Import Debian version 5.4-1um-2 · 4415043a
      Ritesh Raj Sarraf authored
      user-mode-linux (5.4-1um-2) unstable; urgency=medium
      
        * [3f7e38a] Update gbp.conf about tag format
        * [6a3bf60] Update kernel configuration files
        * [30c4f66] Add settings suiting to pkg-uml packaging
      
      user-mode-linux (5.4-1um-1) unstable; urgency=medium
      
        * [da6bf6c] Update to Linux 5.4
        * [5049017] Refresh patch debian/patches/08-fix-pcap-linkage.patch
      
      user-mode-linux (5.3-1um-1) unstable; urgency=medium
      
        * [10ebf91] Update to track Linux 5.3
        * [52d3b7c] Update uml kernel config to 5.3
        * [f424b72] Update i386 kernel configuration.
          Thanks to Bastian Blank
        * [d25b501] Mark rules require root to no
      
      user-mode-linux (5.2-1um-2) unstable; urgency=medium
      
        * [49a481e] Add gcc-multilib to build depends. Should fix FTBFS on i386
      
      user-mode-linux (5.2-1um-1) unstable; urgency=medium
      
        * [c5a5e78] Drop Mattia Dongili from Uploaders list (Closes: #933156)
        * [500e629] Update to Linux 5.2 (Closes: #938962)
        * [2ce49b7] Drop patch fix-port-helper-path.patch. Applied upstream
        * [659a640] Refresh patches
        * [84a2a9c] Update UML kernel configuration to 5.2
        * [d61f9d5] Add patch 08-fix-pcap-linkage.patch to fix pcap linkage.
          Thanks to Anton Ivanov
        * [54590ee] Disable CONFIG_UML_NET_PCAP to avoid linkage with pcap
      
      user-mode-linux (4.19-1um-1) unstable; urgency=medium
      
        * [a505b8d] Update to Linux 4.19 (Closes: #916958)
        * [537c895] Drop patch fix-i386-ptrace-build.patch. Merged upstream
        * [fe91d84] Refresh patch
      
      user-mode-linux (4.17-1um-1) unstable; urgency=medium
      
        * [c640a0e] Add patch to fix port-helper architecture dependent path
          (Closes: #868285)
        * [3af34b3] Update to Linux 4.17
        * [312ff63] Add lintian override for source package
      
      user-mode-linux (4.16-1um-2) unstable; urgency=medium
      
        * [3a7ffd8] Fix build failure on i386 architecture.
          Thanks to Richard Weinberger
        * [ac554e8] Refresh patches
      
      user-mode-linux (4.16-1um-1) unstable; urgency=medium
      
        * [4f0e0a8] Switch packaging repository to Salsa
        * [94e916a] Switch Maintainer email address (Closes: #899720)
        * [0e56bcc] Use tracker as maintainer email address
        * [0f68dd3] Update to Linux 4.16
        * [98f3862] Drop patch 08-use-posix-ucontext.patch
          Merged in Linux 4.16
        * [38116f5] Add bison to build dependency
        * [e5ae8d8] Add flex to build dependency
      
      user-mode-linux (4.15-1um-1) unstable; urgency=medium
      
        * [688b914] New Linux Release
      
      user-mode-linux (4.14-1um-3) unstable; urgency=medium
      
        * Rebuild with newer linux-source-4.14 (Closes: #888971)
      
      user-mode-linux (4.14-1um-2) unstable; urgency=medium
      
        * [5b667b5] Use POSIX ucontext_t instead of struct ucontext
          (Closes: #887761)
      
      user-mode-linux (4.14-1um-1) unstable; urgency=medium
      
        * [8fdb9d1] Newer Linux version, 4.14
        * [398892e] Refresh patches
      
      user-mode-linux (4.13-1um-1) unstable; urgency=medium
      
        * [a1b6db8] Bump UML to newer 4.13 kernel (Closes: #880304)
        * [c516bca] Add debian/gbp.conf
      
      user-mode-linux (4.9-1um-1) unstable; urgency=medium
      
        * [e2e3efe] New Linux Release: 4.9
      
      user-mode-linux (4.8-1um-3) unstable; urgency=medium
      
        * [127dbbc] Drop dependency on gcc-5
        * [1b4b24d] Enable parallel build
        * Rebuild with latest Linux 4.8, 4.8.15-2
      
      user-mode-linux (4.8-1um-2) unstable; urgency=medium
      
        * Rebuild with latest Linux 4.8, with all stable security fixes
      
      user-mode-linux (4.8-1um-1) unstable; urgency=medium
      
        * [b4834f3] Use gcc-5 to build the kernel
        * [ee7785d] Revert "Fix uml kernel build, disabling PIE and bindnow"
        * [e0b3e3d] Bump linux version to 4.8
      
      user-mode-linux (4.7-1um-2) unstable; urgency=medium
      
        * [9a4719f] Fix uml kernel build, disabling PIE and bindnow.
          Thanks to Balint Reczey (Closes: 837579)
      
      user-mode-linux (4.7-1um-1) unstable; urgency=medium
      
        * [c36fba9] Add homepage field
        * [6aada24] Bump linux version to 4.7
      
      user-mode-linux (4.6-1um-1) unstable; urgency=medium
      
        The "DebConf 16 Recharged" Release
      
        * Initial bump to start work on 4.6 kernel
        * Replace module-init-tools with the new (superseeding) kmod tool
        * Update kernel version in debian/rules
        * Update kernel config files with new features
        * Add libssl-dev to build depends. Needed to compile newer kernels
        * Promote uml-utilities to Recommends. The UML team has plans to continue
          maintaining it. Thanks Mattia
        * Bump debhelper compatibility to 9
        * Fix Vcs URLs to secure ones
        * Replace deprecated dh_clean with dh_prep
        * Bump Standards Version to 3.9.8
        * Fix Vcs URL to be canonical
      
      user-mode-linux (3.12-1um-1) unstable; urgency=high
      
        * New upstream release (Closes: #733351) - aka. I wish there was a better
          way.
      
      user-mode-linux (3.11-1um-2) unstable; urgency=high
      
        * enable devtmpfs for udev
      
      user-mode-linux (3.11-1um-1) unstable; urgency=high
      
        * New upstream release (Closes: #712234)
        * Add NFSv4 support (Closes: #651307)
      
      user-mode-linux (3.2-2um-1) unstable; urgency=high
      
        * Add Built-Using per Policy §7.8 (Closes: #679300).
        * Refresh patches to apply with no fuzz to latest linux-source.
        * Set new kernel options:
            SECURITY_APPARMOR_COMPAT_24=y
            NET_SCH_CODEL=m
            FQ_CODEL=m
        * Bump version number to upload as a proper foreign package.
      
      user-mode-linux (3.2-1um-1) unstable; urgency=low
      
        [ Mattia Dongili ]
        * Use the kernel stripping options rather than our own
      
        [ Ritesh Raj Sarraf ]
        * New upstream release (Closes: #663437)
        * Revive the uml kernel config
          - Enable and use CFQ as the default scheduler.
          - Enable SELinux and AppArmor
          - Enable many networking drivers
          - Enable many SCSI subsystems.
        * update Vcs-Browser link to anonscm
        * add myself to uploaders
        * Add patch from upstream to fix build failure on i386 arch
      
      user-mode-linux (2.6.32-1um-4) unstable; urgency=high
      
        * Update kernel config to the latest available for squeeze
      
      user-mode-linux (2.6.32-1um-3) unstable; urgency=low
      
        * Sigh, the new 2.6.32 upload includes the IF_NOTIFY_RESUME patch included
          in the previous version so u-m-l failed to build again :(
      
      user-mode-linux (2.6.32-1um-2) unstable; urgency=low
      
        * Fix build failure due to SUBARCH being passed with a wrong value
      
      user-mode-linux (2.6.32-1um-1) unstable; urgency=low
      
        * New upstream release (Closes: #560673).
        [ Mattia Dongili (4) ]
              Update dependencies and prepare 2.6.32
              add a patch to fix IF_NOTIFY_RESUME build error
              Update kernel configurations
              Allow setting the target architecture ont the command line
              Make lintian really slightly happier
              Override -rpath lintian tag, this is required for uml to work
      
      user-mode-linux (2.6.30-1um-1) unstable; urgency=low
      
        * New upstream release.
        * Remove 07_vde_user_build_fix which has been merged upstream.
        * Add 04_remove_irqf_disabled.patch to bring get a working network inside
          the guest.
        * Removed possibly MIA uploaders (Stefano Melchior) (Closes: #514667).
        * Include more config options (i.e.: IP_VS) (Closes: #509434).
        * Stop suggesting linux-patch-skas, not in the repository anymore
          (Closes: #495651).
        * Suggest: vde2 for the vde UML network driver.
        * Fix strrchr symbol clash on forced static builds (Closes: #494995).
      
      user-mode-linux (2.6.26-1um-2) unstable; urgency=low
      
        * remove debian/patches/08_fix_ptrace_crash.patch (in 2.6.26.1) and
          rebuild against the current stable revision released from the Debian
          kernel team
        * cleanup unused patches
      
      user-mode-linux (2.6.26-1um-1) unstable; urgency=medium
      
        * New upstream release.
        * added two fixes from uptream:
            debian/patches/07_vde_user_build_fix.patch
            debian/patches/08_fix_ptrace_crash.patch (in 2.6.26.1)
      
      user-mode-linux (2.6.25-1um-2) unstable; urgency=medium
      
        * Fix build error in amd64 (Closes: #491921)
        * slightly bump urgency to try to be in testing quicker to allow a new
          upload uml 2.6.26 when the kernel team uploads linux-source-2.6.26
      
      user-mode-linux (2.6.25-1um-1) unstable; urgency=low
      
        * New upstream release.
        * now obviously depends on linux-source-2.6.25 (Closes: #488830)
        * added a patch successfully build with gcc-4.3 (Closes: #467475)
        * added a patch to fix UML segfaulting on negative semaphore values
      
      user-mode-linux (2.6.24-1um-1) unstable; urgency=low
      
        * New upstream release.
        [Mattia Dongili]:
          * add libvdeplug2 dependency
      
      user-mode-linux (2.6.23-1um-1) unstable; urgency=low
      
        * New upstream release (Closes: #456836).
        [Mattia Dongili]:
          * set NETFILTER_XT_TARGET_CONNMARK (Closes: #440083)
          * bump Standards-Version to 3.7.3
          * update i386 and amd64 configurations
          * rework debian/rules because of some bugs detected when building with -j6
          * remove 04_restructure-do_aio.patch which has been included upstream
      
      user-mode-linux (2.6.22-1um-1) unstable; urgency=low
      
        * New upstream release (Closes: #436388).
        [Mattia Dongili]:
          * remove inactive people from uploaders
          * remove debugging options from .config
          * remove umldefconfig as it's easy to get from the kernel sources
        [Upstream patch]:
          * Restructure do_aio (Closes: #438568)
      
      user-mode-linux (2.6.21-1um-1) unstable; urgency=low
      
        * New upstream release.
        * add amd64 (Closes: #384881)
      
      user-mode-linux (2.6.20-1um-1) unstable; urgency=low
      
        * New upstream release.
        * Build against 2.6.20 which _is_ in the archive (Closes: #422398)
        * Included more crypto algorithms [Stefano Melchior] (Closes: #410597)
        * Configured more and more options (Closes: #416517) (Closes: #422145)
        * Removed 04_include_PAGESHIFT_definition.patch, included upstream
      
      user-mode-linux (2.6.18-1um-2) unstable; urgency=low
      
        * removed patches/04_no-syscall, included in the 2.6.18 stable branch.
        * added patches/04_include_PAGESHIFT_definition to fix build failure with
          recent glibc.
      
      user-mode-linux (2.6.18-1um-1) unstable; urgency=low
      
        * New upstream release.
        * add patches/04_no-syscall from upstream to fix build failure.
        * 'mv debian/NEWS debian/NEWS.Debian' so that it will be catched by
          apt-listchanges.
      
      user-mode-linux (2.6.17-1um-2) unstable; urgency=low
      
        * Include IP_VS support. (Closes: #382295)
        * Update config.i386 against current linux-source package.
      
      user-mode-linux (2.6.17-1um-1) unstable; urgency=low
      
        * New upstream release:
          - includes TLS support (Closes: #312562) (Closes: #265486)
          - merged 01_uml_net patch (hence dropped from the package)
        * Build with HOST_2G_2G as the kernel team doesn't seem to care about setting
          a decent PAGE_OFFSET (hopefully closes: #366915).
      
      user-mode-linux (2.6.16-2um-1) unstable; urgency=low
      
        [Mattia Dongili]:
        * add 03_uml_switch patch (Closes: #367132)
        * use the alternatives system to avoid conflicting with kernel-package
          self-build UML kernels.
        * don't include the debian directory in orig.tar.gz
        * bump Standards-Version to the latest (3.7.2)
        * enable dm-* and cyphers modules in config.
      
      user-mode-linux (2.6.16-1um-2) unstable; urgency=low
      
        [Mattia Dongili]:
        * set Uploaders and Maintainer to reflect the team work.
        * add CONFIG_INITRD=y to allow bootstrapping install media.
        * set CONFIG_ISO9660_FS=y to allow mounting iso images when bootstrapping
          from install media.
        * remove useless lintian.overrides file.
      
      user-mode-linux (2.6.16-1um-1) unstable; urgency=low
      
        * New upstream release (definitely Closes: #264772).
        [Mattia Dongili]:
          * added myself to the uploaders
          * fixed dependency on module-init-tools for kernel 2.6
          * using dpatch to apply patches, current patches are:
            - 01_uml_net
            - 02_x-terminal-emulator
          * updated config for 2.6.16
          * installing uml defconfig as a reference
          * converted lots of stuff to modular build
          * updated manpage for the linux executable
      
      user-mode-linux (2.6.15-1um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.6.14-1um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.6.12-1um-1) unstable; urgency=low
      
        * New upstream release (Closes: #271246, Closes: #271246, Closes: #276993, Closes: #170878).
        * 2.4 and 2.6 support available (Closes: #264722).
        * uml_net support fixed bug (Closes: #140790).
      
      user-mode-linux (2.4.26-3um-1) unstable; urgency=low
      
        * New upstream release
          - mara-13-hostfs_access.diff is now obsolete
          - Includes updated config for current Debian kernel source (Closes: #268286)
      
      user-mode-linux (2.4.26-2um-1) unstable; urgency=low
      
        * New upstream release
          - Obsoletes (at least mostly) mara-12-hostfs.diff, remove
          - Obsoletes hostfs-perms.diff, remove
          - Hostfs is back to a basic working state (Closes: #221196), but still
            has serious bugs
          - Should fix the wait_for_stop panic (Closes: #256873)
        * Enable CONFIG_KMOD (Closes: #231057)
        * Enable packet classifiers (Closes: #235037)
      
      user-mode-linux (2.4.26-1um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.25-1um-1) unstable; urgency=low
      
        * New upstream release
        * Hostfs is broken, include some patches to fix it:
          - mara-12-hostfs.diff, mara-13-hostfs_access.diff:
            patches from Henrik Nordstrom
          - hostfs-perms.diff:
            patch from me to fix one more case
        * Patch needed to fix tt mode on 2.6 hosts is still not merged; include it
          (Closes: #220526)
      
      user-mode-linux (2.4.24-1um-2) unstable; urgency=high
      
        * Build-Depends: kernel-source-2.4.24 (>= 2.4.24-3) to get the fix for
          CAN-2004-0077 (mremap)
      
      user-mode-linux (2.4.24-1um-1) unstable; urgency=low
      
        * New upstream release
          - Fixes timestamps on /proc (Closes: #224215)
      
      user-mode-linux (2.4.23-2um-1) unstable; urgency=low
      
        * New upstream release
          - Fixes RTC problems with processors faster than 2GHz (Closes: #226744)
      
      user-mode-linux (2.4.23-1um-3) unstable; urgency=low
      
        * Improve the README.Debian suggestions regarding kernel modules
        * Update file:// URLs in man page to include the html/ subdir in
          user-mode-linux-doc (Closes: #224956)
        * Include upstream changelog (Closes: #224488)
      
      user-mode-linux (2.4.23-1um-2) unstable; urgency=low
      
        * Fix reversed test for DH_BUILD_OPTIONS=nostrip which caused (enormous)
          unstripped modules to be included in the .deb
      
      user-mode-linux (2.4.23-1um-1) unstable; urgency=low
      
        * New upstream release
        * Build-depend on kernel-source-2.4.23, kernel-patch-uml >= 20031230-1
        * Add debian/crypto.diff to source the crypto config (moved from
          kernel-patch-uml)
        * Remove build-dep on gcc-2.95
      
      user-mode-linux (2.4.22-7um-2) unstable; urgency=low
      
        * Start building with the default gcc again.  This seems to work OK now,
          and, coincidentally, building with gcc 2.95 seems to break things in
          subtle ways, apparently related to threads. (Closes: #224431) This may
          reopen #176485 (broken slirp transport), but with the new
          uml-utilities uml_switch setup, slirp isn't as interesting, and it's
          much better to have a working UML
        * Modules broken due to missing exported symbols; moving on to 2.4.23
          rather than patching it
      
      user-mode-linux (2.4.22-7um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.22-6um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.22-5um-1) unstable; urgency=low
      
        * New upstream release
        * Don't strip loadable modules if DEB_BUILD_OPTIONS contains nostrip
        * Don't rely on the timestamp of arch/um in debian/rules
        * Change the default path to the uml_switch socket to match what is used
          by the uml_switch started by uml-utilities.  This means that you can
          now use just "eth0=daemon" and connect to uml_switch.
      
      user-mode-linux (2.4.22-3um-1) unstable; urgency=low
      
        * Support DEB_BUILD_OPTIONS=noopt to build with -O1 rather than -O2
        * Update linux(1) for latest daemon transport syntax
      
      user-mode-linux (2.4.21-1um-1) unstable; urgency=low
      
        * New upstream release
        * No 2.4.22 yet, as there is not yet a kernel-source-2.4.22
        * New kernel-patch-uml fixes some bugs:
          - 2.4.21-based (Closes: #205135)
          - Exports missing symbols so that modules work (Closes: #208355)
      
      user-mode-linux (2.4.20-8um-2) unstable; urgency=low
      
        * Fix man page to correctly document the daemon transport
      
      user-mode-linux (2.4.20-8um-1) unstable; urgency=low
      
        * New upstream release
        * Disable SMP support because it breaks the build
        * Minor debian/rules cleanup
      
      user-mode-linux (2.4.20-7um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.20-6um-2) unstable; urgency=low
      
        * Build-Depends: modutils (Closes: #198337)
        * Build-Depends: kernel-patch-uml (= 20030606-2)
      
      user-mode-linux (2.4.20-6um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.20-5um-1) unstable; urgency=low
      
        * New upstream release
        * Add reference to linux --help in man page
        * Remove old info about root-hostfs from man page 'ubd' section, point
          to 'root'
        * Clean up debian/rules a bit
      
      user-mode-linux (2.4.20-4um-1) unstable; urgency=low
      
        * New upstream release
          - Fixes hostfs permissions bug (Closes: #188320)
        * Correct file:// URLs in man page (Closes: #190412)
        * Document new hostfs root syntax in man page (Closes: #190676)
      
      user-mode-linux (2.4.20-3um-1) unstable; urgency=low
      
        * New upstream release
        * Enable netfilter stuffs (Closes: #187399)
      
      user-mode-linux (2.4.20-2um-1) unstable; urgency=low
      
        * New upstream release
        * Build with gcc-2.95 (hopefully Closes: #176485)
      
      user-mode-linux (2.4.20-1um-1) unstable; urgency=low
      
        * New upstream release
        * Change version number slightly to match upstream's scheme
        * Suggest kernel-patch-skas, now in unstable
      
      user-mode-linux (2.4.19.50um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.49um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.48um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.46um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.45um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.40um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.38um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.37um-1) unstable; urgency=low
      
        * New upstream release
        * Enable SKAS support (requires host kernel patch in order to work)
      
      user-mode-linux (2.4.19.33um-1) unstable; urgency=low
      
        * New upstream release
        * Enable NFS root and dependent options
        * Enable initrd (Closes: #170681)
      
      user-mode-linux (2.4.19.25um-1) unstable; urgency=low
      
        * New upstream release
        * Remove temporary module work area in 'clean' target
        * Use xargs --no-run-if-empty to avoid an error if no modules are
          configured
        * Compile in loop device support, rather than building as a module, to
          allow for easier installation testing (Closes: #165958)
        * Enable NFS (v2 and v3), SMB, NCP, Coda and Intermezzo support
          (Closes: #166780)
      
      user-mode-linux (2.4.19.20um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.17um-1) unstable; urgency=low
      
        * New upstream release
        * Temporarily disable pcap transport, since it didn't build
          correctly
        * Enable MD and LVM
        * Enable slirp transport.  This may allow for networking with minimal
          configuration and no root privileges, but is relatively new.
        * Enable SMP!
      
      user-mode-linux (2.4.19.12um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.11um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.9um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.19.6um-1) unstable; urgency=low
      
        * Remove gcc and make from Build-Depends, as they are clearly
          build-essential.  What was I thinking...
        * Suggest x-terminal-emulator, rater than xterm, since it works now
          (since 2.4.18.48um-1)
      
      user-mode-linux (2.4.19.4um-1) unstable; urgency=low
      
        * New upstream release
        * Add note to README.Debian about how kernel modules are handled
      
      user-mode-linux (2.4.19.2um-2) unstable; urgency=low
      
        * Now to take care of some easy bugs...
        * Add "UML" to description (Closes: #156806)
        * Enable IPv6 module (Closes: #156465)
        * Enable netfilter (Closes: #154674)
        * Enable a bunch of other networking stuff as well, since network
          testing seems to be a popular UML application
      
      user-mode-linux (2.4.19.2um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.49um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.48um-1) unstable; urgency=low
      
        * New upstream release
        * Mention DevFS config in README.Debian (Closes: #154276)
        * This version supports non-xterm terminal emulators, so use
          x-terminal-emulator by default
      
      user-mode-linux (2.4.18.41um-1) unstable; urgency=low
      
        * New upstream release
        * Disable the hostaudio driver, since it doesn't build anymore
      
      user-mode-linux (2.4.18.39um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.37um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.36um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.35um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.32um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.31um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.30um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.29um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.28um-1) unstable; urgency=low
      
        * New upstream release
        * Requires uml-utilities >= 20020521
      
      user-mode-linux (2.4.18.26um-1) unstable; urgency=low
      
        * New upstream release
        * Fixed symbol export issue which prevented release of 25um
      
      user-mode-linux (2.4.18.25um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.24um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.23um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.22um-1) unstable; urgency=low
      
        * New upstream release
        * UML is now self-hosting, meaning that you can now run UML within
          itself
          http://www.geocrawler.com/lists/3/SourceForge/709/0/8569643/
      
      user-mode-linux (2.4.18.21um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.20um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.18um-1) unstable; urgency=low
      
        * New upstream release
        * Remove obsolete note about devfs in README.Debian
      
      user-mode-linux (2.4.18.17um-1) unstable; urgency=low
      
        * New upstream release
        * Enable initrd support
        * Add note to README.Debian about devfs and Debian root filesystems
      
      user-mode-linux (2.4.18.16um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.15um-1) unstable; urgency=low
      
        * New upstream release, lots of bug fixes
          - Now supports COW on block devices (Closes: #140789)
          - I think #140791 may be fixed as well, but have no way to test
        * Requires uml-utilities 20020407
      
      user-mode-linux (2.4.18.13um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.12um-1) unstable; urgency=low
      
        * New upstream release
          - Fixes the console flow control bug which resulted in truncated
            output
      
      user-mode-linux (2.4.18.11um-1) unstable; urgency=low
      
        * New upstream release. Jeff Dike <jdike@karaya.com>:
      
        - Since I don't yet know how to eliminate the problems people are seeing
          withthe SIGWINCH setup, I made UML more robust against them.  You may
          see ugly error messages, but they shouldn't kill UML any more.  I'd
          appreciate knowing about any easy ways that anyone finds of getting
          the ugly error messages to happen.
      
        - The crash in the network setup that Matt Zimmerman saw should be gone.
      
        - bfs filesystems will now mount now that the ubd hard sector size is 512 bytes.
      
        - apt-get now works on hostfs now that hostfs_writepage returns the
          proper value on success.
      
        - John Byrne's thread creation fixes are now in.
      
        - I cleaned up various other small items as well.
      
      user-mode-linux (2.4.18.10um-1) unstable; urgency=low
      
        * New upstream release.
          Jeff Dike <jdike@karaya.com>:
          - This patch fixes the winch_interrupt infinite error flood plus some
            other SIGWINCH bugs.
          - The ptrace headers were cleaned up so that they match the updated
            UML porting guide.
          - Added TIOCMGET to the list of officially unsupported serial line
            ioctls.  This gets rid of the error messages you get when you hook
            two UMLs together overa serial line consisting of a host pty/tty
            pair.
          - I added in some of John Byrne's smaller thread fixes.
      
        * Build-depend on exact versions of user-mode-linux and kernel-patch-uml
      
      user-mode-linux (2.4.18.9um-1) unstable; urgency=low
      
        * New upstream release
          - Now supports SIGWINCH for terminals
        * Fixes unresolved symbols in loop and isofs
        * Requires uml-utilities >= 20020320 which is required for port
          channels
      
      user-mode-linux (2.4.18.8um-1) unstable; urgency=low
      
        * New upstream release
        * Require uml-utilities >= 20020318
        * Temporarily disable the loop block device and isofs due to unresolved
          symbols
      
      user-mode-linux (2.4.18.7um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.6um-1) unstable; urgency=low
      
        * New upstream release
      
      user-mode-linux (2.4.18.4um-3) unstable; urgency=medium
      
        * Rebuild with kernel-source-2.4.18 2.4.18-3, which includes the zlib
          security fix
      
      user-mode-linux (2.4.18.4um-2) unstable; urgency=low
      
        * Don't mount devfs by default, to match the Debian packaged kernels.  A
          base Debian system will not work in UML if devfs is mounted (unless
          devfs is running), so everyone had to pass devfs=nomount.  It's easier
          to pass devfs=mount if the UML system supports it.
      
      user-mode-linux (2.4.18.4um-1) unstable; urgency=low
      
        * New upstream release
        * Remove 'build' symlink from kernel module tree (Closes: #138028)
      
      user-mode-linux (2.4.18.2um-1) unstable; urgency=low
      
        * New upstream release, now that kernel-source-2.4.18 is in
        * Suggests the newly-released rootstrap tool for easy building of UML
          root filesystems
        * Enhance the man page, including mentioning the 's' (synchronous)
          option for ubd devices (Closes: #137375)
        * Disable CONFIG_FS_NTFS because it results in undefined symbols
      
      user-mode-linux (2.4.17.14um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.13um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.12um-1) unstable; urgency=low
      
        * New upstream release.
        * Do the initial modules installation in a temporary directory, due to
          some weirdness with depmod walking the filesystem and finding
          /usr/bin/linux
        * Install a lintian override for statically linked /usr/bin/linux
        * Strip debugging symbols from UML modules.  This makes the installed
          package MUCH smaller.
        * Build in cramfs support, so that it can be used for booting
        * Enable tmpfs module
        * Not releasing due to a panic every time klogd is killed when using my
          test images
      
      user-mode-linux (2.4.17.11um-1) unstable; urgency=low
      
        * New upstream release.
        * Requires the latest uml-utilities, as the control sockets are now
          under $HOME instead of /tmp
      
      user-mode-linux (2.4.17.10um-1) unstable; urgency=low
      
        * New upstream release.
        * Flesh out the man page some, including content from
          user-mode-linux-doc, and use references to that package instead of the
          website where appropriate
        * Note in README.Debian that apt-get build-dep must be run as root
        * Now searches PATH to find kernel when rebooting (Closes: #130875)
        * Build some additional modules which might be useful
        * Compile in ext3 and reiserfs support so that they can be used for the
          root filesystem
        * Include modules unpacked instead of in a tarball, so that they can
          more easily be accessed from UML via hostfs
      
      user-mode-linux (2.4.17.9um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.8um-1) unstable; urgency=low
      
        * New upstream release.
        * Suggests: user-mode-linux-doc (which is in incoming)
      
      user-mode-linux (2.4.17.7um-1) unstable; urgency=low
      
        * New upstream release.
        * Add Suggests: xterm (Closes: #129776)
      
      user-mode-linux (2.4.17.5um-1) unstable; urgency=medium
      
        * New upstream release.
        * Compile in hostfs support (Closes: #128506)
      
      user-mode-linux (2.4.17.4um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.3um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.2um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (2.4.17.1um-1) unstable; urgency=low
      
        * New upstream release.
        * Modified versioning scheme to match upstream's apparent intent
        * Depend on newer uml-utilities, as the path to uml_net changed
        * Enhance README.Debian to explain how to build with a different kernel
          version
      
      user-mode-linux (0.53-2.4.16.2um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (0.53-2.4.16.1um-1) unstable; urgency=low
      
        * New upstream release.
      
      user-mode-linux (0.51-2.4.14-6-1) unstable; urgency=low
      
        * Initial Release. (Closes: #82484)
      4415043a